Loading...
Searching...
No Matches
polynomial.hh File Reference
`#include <cmath>`
`#include <initializer_list>`
`#include <vector>`
`#include <dune/common/hybridutilities.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::Polynomial< K, C >
| A univariate polynomial implementation. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<class K>
| Dune::Functions::Polynomial (std::vector< K >) -> Polynomial< K, std::vector< K > >
template<class K, std::size_t n>
| Dune::Functions::Polynomial (std::array< K, n >) -> Polynomial< K, std::array< K, n > >
template<class K, K... ci>
| Dune::Functions::Polynomial (std::integer_sequence< K, ci... >) -> Polynomial< K, std::integer_sequence< K, ci... > >
template<class K>
| Dune::Functions::Polynomial (std::initializer_list< K >) -> Polynomial< K, std::vector< K > >
template<class K, class Coefficients>
auto | Dune::Functions::makePolynomial (Coefficients coefficients)
| Create Polynomial.
template<class K, class C>
auto | Dune::Functions::makePolynomial (std::initializer_list< C > coefficients)
| Create Polynomial.